<?php

/**
 * SecureTrading STPP Shopping Carts
 * Abantecart 0.9.1
 * Module Version 2.5.7
 * Last Updated 13 March 2013
 * Written by Peter Barrow for SecureTrading Ltd.
 * http://www.securetrading.com
 */

?><?php
 
if ( !defined ( 'DIR_CORE' )) {
	header ( 'Location: static_pages/' );
}

class ModelExtensionDefaultSecuretradingStapi extends Model {
  	public function getMethod($address) {
		$this->load->language('default_securetrading_stapi/default_securetrading_stapi');
		
		$prefix = strlen(DB_PREFIX) ? DB_PREFIX : '';
		
		if ($this->config->get('default_securetrading_stapi_status')) {
      		$query = $this->db->query("SELECT * FROM " . $prefix . "zones_to_locations WHERE location_id = '" . (int)$this->config->get('default_securetrading_stapi_location_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
			
			if (!$this->config->get('default_securetrading_stapi_location_id')) {
        		$status = TRUE;
      		} elseif ($query->num_rows) {
      		  	$status = TRUE;
      		} else {
     	  		$status = FALSE;
			}	
      	} else {
			$status = FALSE;
		}
		
		$method_data = array();
	
		if ($status) {  
      		$method_data = array( 
        		'id'         => 'default_securetrading_stapi',
        		'title'      => $this->language->get('text_title'),
				'sort_order' => $this->config->get('default_securetrading_stapi_sort_order')
      		);
    	}
   
    	return $method_data;
  	}
	
	/**
	 * 
	 */
	public function resetOrderStatus($orderId) {
		$sql = "
			UPDATE `" . DB_PREFIX . "orders`
			SET order_status_id = '" . 0 . "'
			WHERE order_id = '" . (int) $orderId . "'
		";
		$this->db->query($sql);
	}
	
	/**
	 * 
	 */
	public function updateFailedOrder($orderId, $orderStatus) {
		$sql = "
			UPDATE `" . DB_PREFIX . "orders`
			SET order_status_id = '" . (int) $orderStatus . "'
			WHERE order_id = '" . (int) $orderId . "'
		";
		$this->db->query($sql);
	}
}