<?php

/**
 * SecureTrading STPP Shopping Carts
 * Abantecart 0.9.1
 * Module Version 2.5.7
 * Last Updated 13 March 2013
 * Written by Peter Barrow for SecureTrading Ltd.
 * http://www.securetrading.com
 */

?><?php
 
if (! defined ( 'DIR_CORE' ) || !IS_ADMIN) {
	header ( 'Location: static_pages/' );
}

require_once(DIR_EXT . 'default_securetrading_stapi/securetrading_stpp/STPPLoader.php');
require_once(DIR_EXT . 'default_securetrading_stapi/AbanteSTAPI.class.php');

class ModelStapiCards extends Model {

	public function getCards() {
		
		$cardsArray = AbanteSTAPI::getCardsArray();
		
		$newArray = array();
		
		foreach($cardsArray as $key => $value) {
			$newArray[] = array(
				'card_key' => $key,
				'card_name' => $value
			);
		}
		
		return $newArray;
	}
}

?>